2. REST API
2.1. MupifDB
- POST /usecases
Post Usecase
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /usecases/{uid}
Get Usecase
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /usecases/{uid}/workflows
Get Usecase Workflows
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /usecases/{usecaseid}/workflows
Upload Workflow And Dependencies
Endpoint to upload a main workflow file and multiple additional dependency files.
- Args:
usecaseid: The ID of the use case associated with the workflow. workflow_file: The main workflow Python file (e.g., your_workflow.py). additional_files: A list of additional files that are dependencies for the workflow.
- Returns:
A dictionary containing details of the uploaded files, or a redirect to the new workflow’s detail page on successful registration.
- Parameters:
usecaseid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /workflows/{workflow_id}
Get Workflow
- Parameters:
workflow_id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /workflows/{workflow_id}/version/{workflow_version}
Get Workflow By Version
- Parameters:
workflow_id (string)
workflow_version (integer)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /workflows/
Insert Workflow
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /workflows/
Update Workflow
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /workflows_history/
Insert Workflow History
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/
Get Executions
- Query Parameters:
status (string)
workflow_version (integer)
workflow_id (string)
num_limit (integer)
label (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /executions/
Insert Execution
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}
Get Execution
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}
Modify Execution
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /edm_execution/{uid}
Get Edm Execution Uid
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /edm_execution/{uid}/{entity}/{iotype}
Get Edm Execution Uid Entity Iotype
- Parameters:
uid (string)
entity (string)
iotype (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /executions/create/
Create Execution
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/inputs/
Get Execution Inputs
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/outputs/
Get Execution Outputs
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/livelog/{num}
Get Execution Livelog
- Parameters:
uid (string)
num (integer)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/input_item/{name}/{obj_id}/
Get Execution Input Item
- Parameters:
uid (string)
name (string)
obj_id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/input_item/{name}/{obj_id}/
Set Execution Input Item
- Parameters:
uid (string)
name (string)
obj_id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/output_item/{name}/{obj_id}/
Get Execution Output Item
- Parameters:
uid (string)
name (string)
obj_id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/output_item/{name}/{obj_id}/
Set Execution Output Item
- Parameters:
uid (string)
name (string)
obj_id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/input_item/{name}//
** Get Execution Input Item**
- Parameters:
uid (string)
name (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/input_item/{name}//
** Set Execution Input Item**
- Parameters:
uid (string)
name (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /executions/{uid}/output_item/{name}//
** Get Execution Output Item**
- Parameters:
uid (string)
name (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/output_item/{name}//
** Set Execution Output Item**
- Parameters:
uid (string)
name (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/set_onto_base_object_id/
Modify Execution Id
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/set_onto_base_object_id_multiple/
Modify Execution Id Multiple
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/set_onto_base_object_ids/
Modify Execution Ids
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /executions/{uid}/schedule
Schedule Execution
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /iodata/{uid}
Get Execution Iodata
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /iodata/
Insert Execution Iodata
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /file/{uid}
Get File
- Parameters:
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /file/
Upload File
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /property_array_data/{fid}/{i_start}/{i_count}/
Get Property Array Data
- Parameters:
fid (string)
i_start (integer)
i_count (integer)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /field_as_vtu/{fid}
Get Field As Vtu
- Parameters:
fid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /logs/
Insert Log
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /scheduler_statistics/
Set Scheduler Statistics
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /UI/{file_path}
Get Ui File
- Parameters:
file_path (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
2.2. Entity Data Model (EDM)
- GET /EDM/{db}/{type}/{id}/graph
** Make Link Digraph**
- Parameters:
db (string)
type (string)
id (string)
- Query Parameters:
debug (boolean)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /EDM/{db}/schema
Dms Api Schema Post
Writes schema to the DB.
- Parameters:
db (string)
- Query Parameters:
force (boolean)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/schema
Dms Api Schema Get
- Parameters:
db (string)
- Query Parameters:
include_id (boolean)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/schema/graphviz
Dms Api Schema Graphviz
- Parameters:
db (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PATCH /EDM/{db}/{type}/{id}
Dms Api Object Patch
- Parameters:
db (string)
type (string)
id (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/{type}/{id}
Dms Api Path Get
- Parameters:
db (string)
type (string)
id (string)
- Query Parameters:
path ({'null', 'string'})
max_level (integer)
tracking (boolean)
meta (boolean)
shallow (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /EDM/{db}/{type}
Dms Api Object Post
- Parameters:
db (string)
type (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/{type}
Dms Api Object List
- Parameters:
db (string)
type (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /EDM/{db}/blob/upload
Dms Api Blob Upload
Streming blob upload
- Parameters:
db (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/blob/{uid}
Dms Api Blob Get
- Parameters:
db (string)
uid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/{type}/{id}/safe-links
Dms Api Path Safe Links
- Parameters:
db (string)
type (string)
id (string)
- Query Parameters:
paths (string)
debug (boolean)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}/{type}/{id}/clone
Dms Api Path Clone Get
- Parameters:
db (string)
type (string)
id (string)
- Query Parameters:
shallow (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /EDM/{db}
Dms Api Type List
- Parameters:
db (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- PUT /EDM/{db}/{type}/find
Edm Find
- Parameters:
db (string)
type (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error